Update a Workflow

Update an existing workflow by posting the same parameters as POST /workflow/on-submit-document. The workflow will retain its original workflowId.

Path Params
string
required
Body Params
standardizeStep
object

This step will always standardize the submitted document through one or more schemas you specify.

standardizeReviewStep
object

This step standardizes the document and immediately reviews every resulting standardization.

classifyStandardizeStep
object

This step allows you to decide on a list of class IDs to classify into, and define which schemas to standardize by, conditional on the classification result. You may choose to only standardize some of the classes, or standardize the same class by multiple schemas.

splitStandardizeStep
object

This step first runs a split operation on the submitted document, then standardizes every resulting sub-document using all schemas provided in schemaIds.

splitClassifyStandardizeStep
object

This step runs a split operation on the submitted document, then classifies each resulting sub-document, and finally standardizes any sub-document whose classification matches a provided class-to-schema mapping.

string

Optionally name your workflow

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json